io.milvus.v2.exception

## Class MilvusClientException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.milvus.v2.exception.MilvusClientException

- All Implemented Interfaces:
    java.io.Serializable

      public class MilvusClientException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MilvusClientException(ErrorCode errorCode, java.lang.String message)`
    `MilvusClientException(ErrorCode errorCode, java.lang.String message, int serverErrCode, int legacyServerCode)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MilvusClientException

          public MilvusClientException(ErrorCode errorCode,
                                       java.lang.String message)

    - #### MilvusClientException

          public MilvusClientException(ErrorCode errorCode,
                                       java.lang.String message,
                                       int serverErrCode,
                                       int legacyServerCode)